<?php

namespace App\Models;

use Spatie\Permission\Models\Role;
use Illuminate\Database\Eloquent\Model;

class Pricing extends Model
{
    protected $table = 'product_pricing';

    protected $fillable = [
        'bundle_id',
        'role_id',
        'price',
        'status',
    ];

    public function bundle()
    {
        return $this->belongsTo(Bundle::class, 'bundle_id');
    }

    public function role()
    {
        return $this->belongsTo(Role::class, 'role_id');
    }
}